# Class AprStatus

java.lang.Object
org.apache.catalina.core.AprStatus

@Deprecated public class AprStatus extends Object
Deprecated.
Unused. Use `AprStatus` instead. This class will be removed in Tomcat 12 onwards.
Holds APR status without the need to load other classes.

## Constructor Summary

Constructors
Constructor
Description
`AprStatus()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`static int`
`getOpenSSLVersion()`
Deprecated.
`static boolean`
`getUseOpenSSL()`
Deprecated.
`static boolean`
`isAprAvailable()`
Deprecated.
`static boolean`
`isAprInitialized()`
Deprecated.
`static boolean`
`isInstanceCreated()`
Deprecated.
`static void`
`setAprAvailable(boolean aprAvailable)`
Deprecated.
`static void`
`setAprInitialized(boolean aprInitialized)`
Deprecated.
`static void`
`setInstanceCreated(boolean instanceCreated)`
Deprecated.
`static void`
`setOpenSSLVersion(int openSSLVersion)`
Deprecated.
`static void`
`setUseOpenSSL(boolean useOpenSSL)`
Deprecated.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AprStatus

public AprStatus()
Deprecated.

## Method Details

### isAprInitialized

public static boolean isAprInitialized()
Deprecated.

### isAprAvailable

public static boolean isAprAvailable()
Deprecated.

### getUseOpenSSL

public static boolean getUseOpenSSL()
Deprecated.

### isInstanceCreated

public static boolean isInstanceCreated()
Deprecated.

### setAprInitialized

public static void setAprInitialized(boolean aprInitialized)
Deprecated.

### setAprAvailable

public static void setAprAvailable(boolean aprAvailable)
Deprecated.

### setUseOpenSSL

public static void setUseOpenSSL(boolean useOpenSSL)
Deprecated.

### setInstanceCreated

public static void setInstanceCreated(boolean instanceCreated)
Deprecated.

### getOpenSSLVersion

public static int getOpenSSLVersion()
Deprecated.

Returns:
  the openSSLVersion

### setOpenSSLVersion

public static void setOpenSSLVersion(int openSSLVersion)
Deprecated.

Parameters:
  `openSSLVersion` - the openSSLVersion to set